PDA

View Full Version : Open API on Bizhub 363 & C360 series


Custom Search


Don N.
03-31-2015, 02:32 PM
I know about this much (.) on this topic. Client has Paper Cut installed which is like Equitrac for account track, user authentication. It needs to comm with a server, and it puts up the message
"This page is protected. Information will be encrypted for sending and receiving."
there is a box below you can check "Do not show this message again"


They check the box but the message persists.
Paper Cut says the Bizhub is checking for a certificate and they have created one but there are settings under Admin settings> Open API Settings> SSL/Port Settings for checking certificates. They are all set to do not confirm, but the copiers (3 of them, 2 BH363 and 1 BH C360) keep checking.
Paper Cut says can I update firmware to open api level 4.
Latest base firmware is installed.
Been all thru KM knowledge base and find highest level mentioned for some app's is 3.5b.


Question: How to get special firmware for Open Api 4.0?
I've looked thru special f/w... not found.
Thanks!

allan
03-31-2015, 04:03 PM
I guess you need to embed the software on the machine, SSL is crucial. Did you use the self signed certificate?

Don N.
03-31-2015, 06:11 PM
I guess you need to embed the software on the machine, SSL is crucial. Did you use the self signed certificate?

Please explain embed the software. They created a self signed cert., no joy. Still get the message displayed. Also have all settings they are aware of set to not check on certificate, but it apparently still is checking. That is where they are pointing the "blame" on the copier. ALL 3 of them?
Your insight would be appreciated.

allan
03-31-2015, 06:35 PM
It means to push the API application from the server to the MFP. It requires SSL from the machine side to work. If you go to PSWC under security you can set the certificate and under networking you will find the openAPI setting you need to set it there to use SSL.

Don N.
03-31-2015, 08:35 PM
Thanks. I'll pass that on. From the lack of Paper Cut support vs Equitrac info found at KMBS, I would say it may have been a mistake to go with Paper Cut. Hoping the Paper Cut guys get it fixed bc they told my client the BH363 and C360 were supported devices, so we upgraded them from BH350's.

emujo
04-01-2015, 02:09 AM
BEST technology requires SSL cert created, SSL on for user mode and admin, Open API, and TCP/IP socket checked for SSL only. Additionally you may need a firmware update to bring the open API specs to the needed version. Emujo

Don N.
04-01-2015, 02:14 AM
Emujo,
It has the latest FW. I'm looking for special FW to up the MAPI level to 4.0. Not sure where to check, but I think they said its at 3.0 or 3.5

emujo
04-01-2015, 09:38 PM
I think you're out of luck, C360 and 363 support Open API up to version 3.5B (as you've discovered). Newer E series are at ver 4.7. I would get in touch with papercut to see if they have a workaround, as I don't see KM releasing new firmware for an "obsolete" MFP. Emujo

allan
04-01-2015, 09:51 PM
Ysoft and Pcounter works good with even the B601.

wseyller
04-02-2015, 03:54 AM
Are you in the United States? Api of 4.0 is not supported for Papercut MF in the US. You must choose Konica Minolta 3.1+ when creating the device in papercut.

You first must create a self signed cert with default encryption. Turn on SSL for admin and user mode. Also I would turn off certificate verification.

You need to check SSL/TLS for TCP socket. Then enable open api for SSL only and SSL port 50003 and select do not request and do not confirm.

Also these models do not have api 4.0 firmware as they are older devices so that is two reasons why to use 3.1+

At minimum you should be able access the XML document by going to http://<mfp ip>OpenApi/DeviceDescription/

Also you may need to allow ports needed in the servers firewall to allow communication to the MFP over 50003, 9191, 9192

If you need help you could email support@papercut.com

There are in Australia so you may not get a response right away but they will lead you in the right direction.

The newer series Bizhub 224 up to C754e are very easy to configure on papercut with the embedded interface using the I-option license.

I have tried numerous times with the 363 and C360 series with the I-option and have failed. We didn't put to much time in it and just decided to only support newer devices. C3350 work fine as well. The older models have a different web browser. Webkit vs netfront. and something with the certificate causes issues and it even failed at our demo room. So good luck with it. I haven't tried it without the i-option using the standard interface so maybe that would be different.

Don N.
04-02-2015, 04:48 AM
Wseyller,
Thanks. Yes in the US. I dont know where to look to see what level it is at, but the fw is the latest. I will pass that info on. I'm now a bystander as I have explained to the customer that their IT guy promoted Paper Cut over Equitrac ironically due to poor support experience at another of his clients. Too bad because there is some documentation at KMBS on Equitrac where I found nothing on Paper Cut. Paper Cut told them they could not support their 4 bizhub 350's, but if they purchased BH363's & BH C360 they are supported with web interface & drop down lists. It seems to work, but they keep getting the message displayed, and Paper Cut is pointing at the machines. What is old to some is kind of ridiculous to me. They are about 3- 4 years old. KM supports these bizhubs for about 8 years, providing excellent opportunity to by an off lease machine at less than half price. We average 2-3 years life after KM lists it on end of life list. So we would expect to get the customer at least 5 years of service.

wseyller
04-02-2015, 04:58 AM
Just know that KMBS does not support Papercut. You will not get any help from them and they will tell you that. Papercut has a good knowledge base on their website and their email support is not bad.

Custom Search